## gsl 2.1-8

=== DESCRIPTION ===
Package: gsl
Version: 2.1-8
Depends: R (>= 4.0.0)
Title: Wrapper for the Gnu Scientific Library
Authors@R: c(person(given=c("Robin", "K. S."), family="Hankin", role = c("aut","cre"), email="hankin.robin@gmail.com", comment = c(ORCID = "0000-0001-5982-0415")),
             person(given="Andrew",family="Clausen",role="ctb",comment="multimin functionality"),
             person(given="Duncan",family="Murdoch",role="ctb",comment="qrng functions"))
SystemRequirements: Gnu Scientific Library version >= 2.5
Description: 
 An R wrapper for some of the functionality of the
 Gnu Scientific Library.
Maintainer: Robin K. S. Hankin <hankin.robin@gmail.com>
License: GPL-3
URL: https://github.com/RobinHankin/gsl
BugReports: https://github.com/RobinHankin/gsl/issues
NeedsCompilation: yes
Author: Robin K. S. Hankin [aut, cre] (<https://orcid.org/0000-0001-5982-0415>),
  Andrew Clausen [ctb] (multimin functionality),
  Duncan Murdoch [ctb] (qrng functions)
Repository: CRAN
Date/Publication: 2023-01-24 20:30:02 UTC
Packaged: 2023-01-24 01:42:30 UTC; rhankin

## gsl 2.1-9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: gsl
-Version: 2.1-8
-Depends: R (>= 4.0.0)
+Version: 2.1-9
+Depends: R (>= 4.5.0)
 Title: Wrapper for the Gnu Scientific Library
 Authors@R: c(person(given=c("Robin", "K. S."), family="Hankin", role = c("aut","cre"), email="hankin.robin@gmail.com", comment = c(ORCID = "0000-0001-5982-0415")),
              person(given="Andrew",family="Clausen",role="ctb",comment="multimin functionality"),
@@ -14,9 +14,10 @@
 URL: https://github.com/RobinHankin/gsl
 BugReports: https://github.com/RobinHankin/gsl/issues
 NeedsCompilation: yes
-Author: Robin K. S. Hankin [aut, cre] (<https://orcid.org/0000-0001-5982-0415>),
+Author: Robin K. S. Hankin [aut, cre] (ORCID:
+    <https://orcid.org/0000-0001-5982-0415>),
   Andrew Clausen [ctb] (multimin functionality),
   Duncan Murdoch [ctb] (qrng functions)
 Repository: CRAN
-Date/Publication: 2023-01-24 20:30:02 UTC
-Packaged: 2023-01-24 01:42:30 UTC; rhankin
+Packaged: 2025-11-10 08:15:06 UTC; rhankin
+Date/Publication: 2025-11-10 10:10:02 UTC

## gsl 2.3+dfsg

=== debian/changelog ===
gsl (2.3+dfsg-1~bpo8+3) jessie-backports; urgency=medium

  * Fix dangling symlink for libgslcblas.so

 -- Andreas Tille <tille@debian.org>  Thu, 13 Apr 2017 09:20:21 +0200

gsl (2.3+dfsg-1~bpo8+2) jessie-backports; urgency=medium

  * Remove libgslcblas0 and depend on libgsl0dbl

 -- Thibaut Paumard <thibaut@debian.org>  Tue, 04 Apr 2017 10:25:33 +0200

gsl (2.3+dfsg-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Wed, 08 Mar 2017 17:19:35 +0100

gsl (2.3+dfsg-1) unstable; urgency=medium

  * New upstream release
  
  * doc/*.{texi,eps,info*,tex,bib,sty}: As before, removed files from the
    doc/ directory now containing only what Debian considers to be
    'non-free' documentation (ie texinfo pages) to create a source package
    that complies with Debian's interpretation of what is free.
  * doc/Makefile.am: Made all targets apart from man files 'empty'

  * configure.ac: Once again do no mark deprecated functions as such
  
 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 23 Dec 2016 14:16:35 -0600

gsl (2.2.1+dfsg-2) unstable; urgency=medium

  * debian/patches/dont-disable-deprecated: Re-apply first half of patch
    by Iain Lane to not disable deprecated functions (Closes: #841611)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 22 Dec 2016 13:04:44 -0600

gsl (2.2.1+dfsg-1) unstable; urgency=medium

  * New upstream version released 2016-08-31
  
  * doc/*.{texi,eps,info*,tex,bib,sty}: As before, removed files from the
    doc/ directory now containing only what Debian considers to be
    'non-free' documentation (ie texinfo pages) to create a source package
    that complies with Debian's interpretation of what is free.
  * doc/Makefile.am: Made all targets apart from man files 'empty'

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 03 Sep 2016 17:28:37 -0500

=== debian/control ===
Source: gsl
Section: math
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Standards-Version: 3.9.8
Build-Depends: gawk | awk, debhelper (>= 9), gcc (>= 4:4.0), binutils (>= 2.12.90.0.9), dh-autoreconf, libgsl0-dev
Homepage: http://www.gnu.org/software/gsl

Package: libgsl2
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libgsl0ldbl (>= 1.9)
Conflicts: gsl, libgsl0
Replaces: gsl, libgsl0 (<= 1.9-4)
Suggests: gsl-ref-psdoc | gsl-doc-pdf | gsl-doc-info | gsl-ref-html
Description: GNU Scientific Library (GSL) -- library package 
 The GNU Scientific Library (GSL) is a collection of routines for
 numerical analysis.  The routines are written from scratch by the GSL
 team in C, and present a modern API for C programmers, while allowing 
 wrappers to be written for very high level languages.
 .
 GSL includes data types and routines for complex numbers, vectors,
 matrices, basic linear algebra subroutines (BLAS), eigensystems,
 simulated annealing, minimization, root finding, pseudo-random
 numbers, least-squares fitting, fast Fourier transforms (FFT),
 differential equations, quadrature, Monte Carlo integration, special
 functions, physical constants, and much more.
 .
 This package provides the shared libraries required to run programs
 compiled with GNU GSL. To compile your own programs you also need to
 install libgsl0-dev.
 .
 URL: http://www.gnu.org/software/gsl/

Package: libgsl-dev
Section: libdevel
#Multi-Arch: same -- TODO resolve /usr/bin/gsl-config issue
Architecture: any
Depends: libgsl2 (= ${binary:Version}), ${misc:Depends}
Conflicts: gsl-dev, libgsl0-dev
Replaces: gsl-dev, libgsl0 (<= 1.9-4), libgsl0-dev (<= 1.16+dfsg-4)
Provides: libgsl0-dev
Description: GNU Scientific Library (GSL) -- development package
 The GNU Scientific Library (GSL) is a collection of routines for
 numerical analysis.  The routines are written from scratch by the GSL
 team in C, and present a modern API for C programmers, while allowing
 wrappers to be written for very high level languages.
 .
 This package contains the header files, static libraries and symbolic 
 links that developers using GNU GSL will need.
 .
 URL: http://www.gnu.org/software/gsl/

Package: gsl-bin
Section: math
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: gsl
Replaces: gsl
Description: GNU Scientific Library (GSL) -- binary package
 The GNU Scientific Library (GSL) is a collection of routines for
 numerical analysis.  The routines are written from scratch by the GSL
 team in C, and present a modern API for C programmers, while allowing 
 wrappers to be written for very high level languages.
 .
 This package provides several example binaries.
 .
 URL: http://www.gnu.org/software/gsl/

Package: libgsl-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libgsl2 (= ${binary:Version}), ${misc:Depends}
Provides: libgsl0-dbg
Conflicts: libgsl0-dbg
Replaces: libgsl0-dbg (<= 1.16+dfsg-4)
Description: GNU Scientific Library (GSL) -- debug symbols package
 The GNU Scientific Library (GSL) is a collection of routines for
 numerical analysis.  The routines are written from scratch by the GSL
 team in C, and present a modern API for C programmers, while allowing
 wrappers to be written for very high level languages.
 .
 This package contains debugging symbol tables for the static  GSL libraries
 libgsl and libgslcblas from the libgsl0-dev package, and the binaries 
 gsl-randist and gsl-histogram from the gsl-bin package.
 .
 URL: http://www.gnu.org/software/gsl/


Package: libgsl-prof
Section: libdevel
Priority: extra
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Provides: libgsl0-prof
Conflicts: libgsl0-prof
Replaces: libgsl0-prof (<= 1.16+dfsg-4)
Depends: libgsl2 (= ${binary:Version}), ${misc:Depends}
Description: GNU Scientific Library (GSL) -- profiling symbols package
 The GNU Scientific Library (GSL) is a collection of routines for
 numerical analysis.  The routines are written from scratch by the GSL
 team in C, and present a modern API for C programmers, while allowing
 wrappers to be written for very high level languages.
 .
 This package contains static libraries compiled with profiling info (-pg)
 suitable for use with gprof.
 .
 URL: http://www.gnu.org/software/gsl/

=== debian/rules ===
#!/usr/bin/make -f
#                                                       -*- makefile -*-
# debian/rules file for the Debian/GNU Linux gsl package
# Copyright (C) 1999 - 2015  Dirk Eddelbuettel <edd@debian.org>

source  := $(shell head -1 debian/changelog | awk '{print $$1}')
sonum   := 2
#libpack := libgsl$(sonum)ldbl
libpack := libgsl$(sonum)
#devpack := $(libpack)-dev
#devpack := libgsl$(sonum)-dev
#dbgpack := libgsl$(sonum)-dbg
devpack := libgsl-dev
dbgpack := libgsl-dbg
binpack := $(source)-bin
#profpack := libgsl$(sonum)-prof
profpack := libgsl-prof
#docpack := $(source)-doc-pdf
#debtmp	:= $(CURDIR)/debian/$(libpack)
debtmp	:= $(CURDIR)/debian/tmp
#debdoc	:= $(CURDIR)/debian/$(docpack)
debprof := $(CURDIR)/debian/$(profpack)
arch 	:= $(shell dpkg-architecture -qDEB_HOST_ARCH)


#export DH_VERBOSE=1

## needed for texi2pdf / tetex as document has larger-than-normal indices
export pool_size=250000

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# FOR AUTOCONF 2.52 AND NEWER ONLY
CONFFLAGS =
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  CONFFLAGS += --build $(DEB_HOST_GNU_TYPE)
else
  CONFFLAGS += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DEBUGFLAGS=-g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	DEBUGFLAGS += -O0
else
	DEBUGFLAGS += -O3
ifeq ($(arch),m68k)
	DEBUGFLAGS += -O0
endif
endif
# edd 12 Sep 2007  alpha fails with -O3
ifeq ($(arch),alpha)
	DEBUGFLAGS += -O2
endif

# edd 18 Nov 2006:  add -fexceptions, but don't use -O3 as 
#                   'make check' as gcc hangs in cblas/ after test_ger.c
# edd 05 Jul 2014:  add dpkg-buildflags call
CFLAGS	   :=-Wall -pipe -fexceptions -D_REENTRANT $(DEBUGFLAGS) $(shell dpkg-buildflags --get CFLAGS)
CFLAGSnog  :=-Wall -pipe -fexceptions -D_REENTRANT               $(shell dpkg-buildflags --get CFLAGS | sed -e 's/-g//')
# edd 29 Sep 2005   alpha needs -mieee with gcc 4.0
ifeq ($(arch),alpha)
CFLAGS	+= -mieee
endif

# edd 05 Jul 2014:  add dpkg-buildflags call
LDFLAGS	= $(shell dpkg-buildflags --get LDFLAGS)


#setting DEB_BUILD_OPTIONS=buildprof means we build a package
#consisting of static libraries (renamed to libfoo_p.a) with 
#profiling information in.
ifneq (,$(findstring buildprof,$(DEB_BUILD_OPTIONS)))
CONFIGTARGET = configure-prof-stamp
INSTALLTARGET = install-prof-stamp
BINARYTARGET = binary-prof
CFLAGS += -pg
export DH_OPTIONS =-N$(libpack) -N$(devpack) -N$(binpack) -N$(dbgpack) -p$(profpack)
else
CONFIGTARGET = configure-stamp
INSTALLTARGET = install-stamp
BINARYTARGET = binary-arch binary-indep
export DH_OPTIONS =-N$(profpack)
endif

upstream: get-orig-source
get-orig-source: 
        #lynx ftp://sources.redhat.com/pub/gsl
        #lynx http://mirrors.rcn.net/pub/sourceware/gsl
	lynx http://www.network-theory.co.uk/download/gsl


configure: $(CONFIGTARGET)

configure-stamp:
	dh_testdir
	dh_testdir

	rm -f config.cache

	#[ -d doc ] || mkdir doc
	#cp -vax debian/Makefile.in.doc doc/Makefile.in

	dh_autoreconf
	./configure 	CFLAGS="$(CFLAGS)" 		\
			LDFLAGS="$(LDFLAGS)"		\
			--prefix=/usr 			\
			--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
			--enable-shared 		\
			--enable-static 		\
			--with-gnu-ld 			\
			$(CONFFLAGS) 			

        # patch libtool re rpath (see lintian docu)
	sed < libtool > libtool-2 \
			-e 's/^hardcode_libdir_flag_spec.*$$/hardcode_libdir_flag_spec=" -D__LIBTOOL_IS_A_FOOL__ "/' \
			-e '/^archive_cmds="/s/"$$/ \\$$deplibs"/'
	mv libtool-2 libtool
	chmod 755 libtool            
        # end libtool rpath patch
	touch configure-stamp

configure-prof-stamp:
	dh_testdir

	rm -f config.cache

	#[ -d doc ] || mkdir doc
	#cp -vax debian/Makefile.in.doc doc/Makefile.in
	dh_autoreconf
	./configure 	CFLAGS="$(CFLAGS)" 		\
			--prefix=/usr 			\
			--disable-shared 		\
			--enable-static 		\
			--with-gnu-ld 			\
			$(CONFFLAGS) 			
	touch configure-prof-stamp


build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE)	
	touch build-stamp

build-doc: build-doc-stamp
build-doc-stamp: configure-stamp
	dh_testdir
	touch build-doc-stamp

deprecated-non-free-doc:
        # make ps files -- skip as we ship the upstream one in gsl-ref-psdoc
        #cd doc && $(MAKE) ps
        # make pdf
        ## edd 10 Apr 2005  added patch by Guiseppe Bonacci for #303757 
	cd doc && \
	   cp -p randist.texi randist.texi.orig && \
	   sed 's/^.*\\input \(rand.*\)\.tex.*$$/@end tex\n@center @image{\1}\n@tex/' \
	     randist.texi.orig > randist.texi && \
	   for i in rand-*.tex random-walk.tex ; do \
	     echo Converting $$i to eps; \
	     j=`basename $$i .tex`; \
	     tex "\batchmode\nopagenumbers\input $$j\bye"; \
	     dvips $$j; \
	     ps2eps -f $$j.ps; \
	   done && \
	   for i in *.eps; do \
	     echo Converting $$i to pdf... && epstopdf $$i ; \
	   done && $(MAKE) ps && ps2pdf gsl-ref.ps
        # edd 23 Mar 2006  'make pdf' is now inactive upstream
	touch build-doc-stamp

test:	build test-stamp
test-stamp: 
	-$(MAKE) check CFLAGS="$(CFLAGSnog)" | grep -C5 -v '^PASS:'
	touch test-stamp

clean:
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f build-stamp install-stamp test-stamp build-doc-stamp \
		configure-stamp install-doc-stamp configure-prof-stamp \
		install-prof-stamp
	rm -rf debian/static/
	-rm -f doc/*.pdf doc/*.dvi doc/*.log doc/*.ps
	dh_clean lib/*so* build/*.so*
	#dh_autoreconf_clean
	#rm -rf doc/
	rm -rf $(debtmp) $(debprof)

install: test $(INSTALLTARGET)
install-stamp: 
	$(MAKE) -f debian/rules DH_OPTIONS= install-work
install-work:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) prefix=$(debtmp)/usr	 		\
		libdir=$(debtmp)/usr/lib/$(DEB_HOST_MULTIARCH)	\
		infodir=$(debtmp)/usr/share/info	\
		includedir=$(debtmp)/usr/include	\
		mandir=$(debtmp)/usr/share/man		install
        # deal with automake / install-info issue #215538
	rm -vf	$(debtmp)/usr/share/info/dir 		\
		$(debtmp)/usr/share/info/dir.old 	
        # purify for DFSG compliance and delete (!!) documentation
	rm -rvf	$(debtmp)/usr/share/info
        # deal with libtool leftover .la files (#245556)
	rm -vf $(debtmp)/usr/lib/$(DEB_HOST_MULTIARCH)/libgsl*.la
        #
	dh_installdirs		-p$(binpack)	usr/share/man/man1
        #dh_installman		-p$(binpack)	debian/gsl-histogram.1 \
        #					debian/gsl-randist.1
        # move static libs into dev-package  and binaries into bin package
	dh_install --sourcedir=debian/tmp -p$(libpack)
	dh_install --sourcedir=debian/tmp -p$(devpack) 
	dh_install --sourcedir=debian/tmp -p$(binpack) 

        # lintian silencer for the 'ldbl' transition package
	dh_installdirs -p$(libpack) usr/share/lintian/overrides
	install -m0644 debian/$(libpack).overrides \
		$(CURDIR)/debian/$(libpack)/usr/share/lintian/overrides/$(libpack)

	touch install-stamp

install-prof-stamp: test-stamp
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) prefix=$(debtmp)/usr	 		\
		libdir=$(debtmp)/usr/lib/$(DEB_HOST_MULTIARCH)	\
		infodir=$(debtmp)/usr/share/info	\
		includedir=$(debtmp)/usr/include	\
		mandir=$(debtmp)/usr/share/man		install
	#rename the profiling libraries
	for lib in $(debtmp)/usr/lib/$(DEB_HOST_MULTIARCH)/*.a ;\
		do mv "$$lib" "$${lib%%.a}_p.a"; done
	dh_install --sourcedir=$(debtmp)
	touch install-prof-stamp


install-doc: install-doc-stamp
install-doc-stamp: build-doc
	dh_testdir
	dh_testroot
	touch install-doc-stamp

deprecated-non-free-doc:
	mkdir -p -m 0755 $(debdoc)/usr/share/doc/$(docpack)
	install -m 0644 doc/gsl-ref.pdf  $(debdoc)/usr/share/doc/$(docpack)

# This single target is used to build all the packages, all at once, or
# one at a time. So keep in mind: any options passed to commands here will
# affect _all_ packages. Anything you want to only affect one package
# should be put in another target, such as the install target.

## gsl 2.4%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,13 @@
 #!/usr/bin/make -f
 #                                                       -*- makefile -*-
 # debian/rules file for the Debian/GNU Linux gsl package
-# Copyright (C) 1999 - 2015  Dirk Eddelbuettel <edd@debian.org>
+# Copyright (C) 1999 - 2017  Dirk Eddelbuettel <edd@debian.org>
 
 source  := $(shell head -1 debian/changelog | awk '{print $$1}')
-sonum   := 2
+sonum   := 23
 #libpack := libgsl$(sonum)ldbl
 libpack := libgsl$(sonum)
+libcblas := libgslcblas0
 #devpack := $(libpack)-dev
 #devpack := libgsl$(sonum)-dev
 #dbgpack := libgsl$(sonum)-dbg
@@ -77,7 +78,7 @@
 INSTALLTARGET = install-prof-stamp
 BINARYTARGET = binary-prof
 CFLAGS += -pg
-export DH_OPTIONS =-N$(libpack) -N$(devpack) -N$(binpack) -N$(dbgpack) -p$(profpack)
+export DH_OPTIONS =-N$(libpack) -N$(libcblas) -N$(devpack) -N$(binpack) -N$(dbgpack) -p$(profpack)
 else
 CONFIGTARGET = configure-stamp
 INSTALLTARGET = install-stamp
@@ -219,6 +220,7 @@
         #					debian/gsl-randist.1
         # move static libs into dev-package  and binaries into bin package
 	dh_install --sourcedir=debian/tmp -p$(libpack)
+	dh_install --sourcedir=debian/tmp -p$(libcblas)
 	dh_install --sourcedir=debian/tmp -p$(devpack) 
 	dh_install --sourcedir=debian/tmp -p$(binpack) 
 
@@ -258,4 +260,3 @@
 # This single target is used to build all the packages, all at once, or
 # one at a time. So keep in mind: any options passed to commands here will
 # affect _all_ packages. Anything you want to only affect one package
-# should be put in another target, such as the install target.

## gsl 2.4+dfsg

=== debian/changelog ===
gsl (2.4+dfsg-6) unstable; urgency=medium

  * debian/control: Version is as 'Replaces: libgsl23 (<< 2.4+dfsg-4)'

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 09 Aug 2017 10:07:24 -0500

gsl (2.4+dfsg-5) unstable; urgency=medium

  * debian/control: Add Replaces: libgsl23 to libgslcblas (Closes: #871269)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 07 Aug 2017 09:37:37 -0500

gsl (2.4+dfsg-4) unstable; urgency=medium

  * debian/control: New package libgslcblas0 to contain the BLAS interface
    library which never changes ABI 			(Closes: #870772)
  * debian/control: Add Depends: libgslcblas0 to libgsl23 and libgsl-dev

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 05 Aug 2017 13:40:20 -0500

gsl (2.4+dfsg-3) unstable; urgency=medium

  * debian/control: New package libgsl23 matching current soname
  * debian/rules: libgsl2.* renamed to libgsl23.*
  * debian/libgsl23.shlib: Updated
  * configure.ac: Reverting previous change

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 27 Jul 2017 06:59:12 -0500

gsl (2.4+dfsg-2) unstable; urgency=medium

  * configure.ac: Once again reset sonumber to 19 (Closes: #869778, #869695)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 26 Jul 2017 06:41:07 -0500

gsl (2.4+dfsg-1) unstable; urgency=medium

  * New upstream release

  * doc/*.{rst,texi,info}: As before, removed files from the doc/
    directory now containing what Debian considers to be 'non-free'
    documentation (ie texinfo pages) to create a source package that
    complies with Debian's interpretation of what is free.
  * doc/Makefile.am: Made all targets apart from man files 'empty'

  * configure.ac: Once again do no mark deprecated functions as such

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 21 Jul 2017 07:18:55 -0500

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Standards-Version: 3.9.8
-Build-Depends: gawk | awk, debhelper (>= 9), gcc (>= 4:4.0), binutils (>= 2.12.90.0.9), dh-autoreconf, libgsl0-dev
+Build-Depends: gawk | awk, debhelper (>= 9), gcc (>= 4:4.0), binutils (>= 2.12.90.0.9), dh-autoreconf
 Homepage: http://www.gnu.org/software/gsl
 
-Package: libgsl2
+Package: libgsl23
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, libgsl0ldbl (>= 1.9)
-Conflicts: gsl, libgsl0
-Replaces: gsl, libgsl0 (<= 1.9-4)
+Depends: ${shlibs:Depends}, ${misc:Depends}, libgslcblas0 (= ${binary:Version})
+Conflicts: gsl, libgsl0, libgsl0ldbl
+Replaces: gsl, libgsl0 (<= 1.9-4), libgsl0ldbl (<= 1.16+dfsg-4)
 Suggests: gsl-ref-psdoc | gsl-doc-pdf | gsl-doc-info | gsl-ref-html
 Description: GNU Scientific Library (GSL) -- library package 
  The GNU Scientific Library (GSL) is a collection of routines for
@@ -30,7 +30,35 @@
  .
  This package provides the shared libraries required to run programs
  compiled with GNU GSL. To compile your own programs you also need to
- install libgsl0-dev.
+ install libgsl-dev.
+ .
+ URL: http://www.gnu.org/software/gsl/
+
+Package: libgslcblas0
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: gsl, libgsl0, libgsl0ldbl, libgsl2
+Replaces: gsl, libgsl0 (<= 1.9-4), libgsl0ldbl (<= 1.16+dfsg-4), libgsl2, libgsl23 (<< 2.4+dfsg-4)
+Suggests: gsl-ref-psdoc | gsl-doc-pdf | gsl-doc-info | gsl-ref-html
+Description: GNU Scientific Library (GSL) -- blas library package 
+ The GNU Scientific Library (GSL) is a collection of routines for
+ numerical analysis.  The routines are written from scratch by the GSL
+ team in C, and present a modern API for C programmers, while allowing 
+ wrappers to be written for very high level languages.
+ .
+ GSL includes data types and routines for complex numbers, vectors,
+ matrices, basic linear algebra subroutines (BLAS), eigensystems,
+ simulated annealing, minimization, root finding, pseudo-random
+ numbers, least-squares fitting, fast Fourier transforms (FFT),
+ differential equations, quadrature, Monte Carlo integration, special
+ functions, physical constants, and much more.
+ .
+ This package provides the shared blas library required to run programs
+ compiled with GNU GSL. To compile your own programs you also need to
+ install libgsl-dev.
  .
  URL: http://www.gnu.org/software/gsl/
 
@@ -38,7 +66,7 @@
 Section: libdevel
 #Multi-Arch: same -- TODO resolve /usr/bin/gsl-config issue
 Architecture: any
-Depends: libgsl2 (= ${binary:Version}), ${misc:Depends}
+Depends: libgsl23 (= ${binary:Version}), libgslcblas0 (= ${binary:Version}), ${misc:Depends}
 Conflicts: gsl-dev, libgsl0-dev
 Replaces: gsl-dev, libgsl0 (<= 1.9-4), libgsl0-dev (<= 1.16+dfsg-4)
 Provides: libgsl0-dev
@@ -75,7 +103,7 @@
 Priority: extra
 Architecture: any
 Multi-Arch: same
-Depends: libgsl2 (= ${binary:Version}), ${misc:Depends}
+Depends: libgsl23 (= ${binary:Version}), ${misc:Depends}
 Provides: libgsl0-dbg
 Conflicts: libgsl0-dbg
 Replaces: libgsl0-dbg (<= 1.16+dfsg-4)
@@ -86,7 +114,7 @@
  wrappers to be written for very high level languages.
  .
  This package contains debugging symbol tables for the static  GSL libraries
- libgsl and libgslcblas from the libgsl0-dev package, and the binaries 
+ libgsl and libgslcblas from the libgsl-dev package, and the binaries 
  gsl-randist and gsl-histogram from the gsl-bin package.
  .
  URL: http://www.gnu.org/software/gsl/
@@ -101,7 +129,7 @@
 Provides: libgsl0-prof
 Conflicts: libgsl0-prof
 Replaces: libgsl0-prof (<= 1.16+dfsg-4)
-Depends: libgsl2 (= ${binary:Version}), ${misc:Depends}
+Depends: libgsl23 (= ${binary:Version}), ${misc:Depends}
 Description: GNU Scientific Library (GSL) -- profiling symbols package
  The GNU Scientific Library (GSL) is a collection of routines for
  numerical analysis.  The routines are written from scratch by the GSL

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// \
	ftp://ftp.gnu.org/gnu/gsl/gsl-([-0-9\.]*).tar.gz

## gsl 2.5%2Bdfsg

=== debian/changelog ===
gsl (2.5+dfsg-6+deb10u1build0.20.04.1) focal-security; urgency=medium

  * fake sync from Debian

 -- Amir Naseredini <amir.naseredini@canonical.com>  Fri, 03 Nov 2023 12:31:55 +0000

gsl (2.5+dfsg-6+deb10u1) buster-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * A buffer overflow can occur when calculating the quantile value using the
    Statistics Library of GSL (GNU Scientific Library). Processing a
    maliciously crafted input data for gsl_stats_quantile_from_sorted_data of
    the library may lead to unexpected application termination or arbitrary
    code execution.

 -- Markus Koschany <apo@debian.org>  Thu, 21 Sep 2023 14:59:09 +0200

gsl (2.5+dfsg-6) unstable; urgency=medium

  * filter/rmedian.c: Renamed structure element delete to delete_oldest
  * movstat/apply.c: Idem
  * movstat/gsl_movstat.h: Idem				(Closes: #912341)
  
  * doc/gsl-randist.1: Applied patch suggested by Barak Pearlmutter
  							(Closes: #915539)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 26 Nov 2018 20:45:48 -0600

gsl (2.5+dfsg-5) unstable; urgency=medium

  [ Steve Langasek ]
  * Makefile.am: Resolve underlinkage of libgslcblas (Closes: #907119)
  * debian/rules: Enforce current automake and autolocal for dh_autoreconf

  [ Dirk Eddelbuettel ]
  * debian/*: Applied Steve's patch, with thanks

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 23 Aug 2018 20:30:39 -0500

gsl (2.5+dfsg-4) unstable; urgency=medium

  * debian/libgsl23.shlibs: Use correct suffix		(Closes: #902623)
  * debian/libgslcblas0.shlibs: Idem
  
 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 28 Jun 2018 13:38:17 -0500

gsl (2.5+dfsg-3) unstable; urgency=medium

  * Rebuilding for unstable
  
  * debian/patches/series: Reactivate 'dont-disable-deprecated' to provide
    otherwise deprecated symbols for the Perl GSL package (Closes: #902281)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 26 Jun 2018 05:09:48 -0500

gsl (2.5+dfsg-2) experimental; urgency=medium

  * debian/patches/series: Reactivate 'dont-disable-deprecated' to provide
    otherwise deprecated symbols for the Perl GSL package (Closes: #902281)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 24 Jun 2018 07:45:08 -0500

gsl (2.5+dfsg-1) unstable; urgency=medium

  * New upstream release

  * doc/*.{rst,texi,info}: As before, removed files from the doc/
    directory now containing what Debian considers to be 'non-free'
    documentation (ie texinfo pages) to create a source package that
    complies with Debian's interpretation of what is free.
  * doc/Makefile.am: Made all targets apart from man files 'empty'

  * configure.ac: Once again do no mark deprecated functions as such

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 16 Jun 2018 18:13:23 -0500

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Section: math
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Standards-Version: 3.9.8
-Build-Depends: gawk | awk, debhelper (>= 9), gcc (>= 4:4.0), binutils (>= 2.12.90.0.9), dh-autoreconf
-Homepage: http://www.gnu.org/software/gsl
+Standards-Version: 4.1.4
+Build-Depends: gawk | awk, debhelper (>= 10), gcc (>= 4:4.0), binutils (>= 2.12.90.0.9)
+Vcs-Browser: https://salsa.debian.org/edd/gsl
+Vcs-Git: https://salsa.debian.org/edd/gsl.git
+Homepage: https://www.gnu.org/software/gsl
 
 Package: libgsl23
 Section: libs
@@ -100,7 +102,7 @@
 
 Package: libgsl-dbg
 Section: debug
-Priority: extra
+Priority: optional
 Architecture: any
 Multi-Arch: same
 Depends: libgsl23 (= ${binary:Version}), ${misc:Depends}
@@ -120,23 +122,23 @@
  URL: http://www.gnu.org/software/gsl/
 
 
-Package: libgsl-prof
-Section: libdevel
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Provides: libgsl0-prof
-Conflicts: libgsl0-prof
-Replaces: libgsl0-prof (<= 1.16+dfsg-4)
-Depends: libgsl23 (= ${binary:Version}), ${misc:Depends}
-Description: GNU Scientific Library (GSL) -- profiling symbols package
- The GNU Scientific Library (GSL) is a collection of routines for
- numerical analysis.  The routines are written from scratch by the GSL
- team in C, and present a modern API for C programmers, while allowing
- wrappers to be written for very high level languages.
- .
- This package contains static libraries compiled with profiling info (-pg)
- suitable for use with gprof.
- .
- URL: http://www.gnu.org/software/gsl/
+#Package: libgsl-prof
+#Section: libdevel
+#Priority: optional
+#Architecture: any
+#Multi-Arch: same
+#Pre-Depends: ${misc:Pre-Depends}
+#Provides: libgsl0-prof
+#Conflicts: libgsl0-prof
+#Replaces: libgsl0-prof (<= 1.16+dfsg-4)
+#Depends: libgsl23 (= ${binary:Version}), ${misc:Depends}
+#Description: GNU Scientific Library (GSL) -- profiling symbols package
+# The GNU Scientific Library (GSL) is a collection of routines for
+# numerical analysis.  The routines are written from scratch by the GSL
+# team in C, and present a modern API for C programmers, while allowing
+# wrappers to be written for very high level languages.
+# .
+# This package contains static libraries compiled with profiling info (-pg)
+# suitable for use with gprof.
+# .
+# URL: http://www.gnu.org/software/gsl/

## gsl 2.5+dfsg

=== debian/control ===
--- 
+++ 
@@ -122,23 +122,23 @@
  URL: http://www.gnu.org/software/gsl/
 
 
-#Package: libgsl-prof
-#Section: libdevel
-#Priority: optional
-#Architecture: any
-#Multi-Arch: same
-#Pre-Depends: ${misc:Pre-Depends}
-#Provides: libgsl0-prof
-#Conflicts: libgsl0-prof
-#Replaces: libgsl0-prof (<= 1.16+dfsg-4)
-#Depends: libgsl23 (= ${binary:Version}), ${misc:Depends}
-#Description: GNU Scientific Library (GSL) -- profiling symbols package
-# The GNU Scientific Library (GSL) is a collection of routines for
-# numerical analysis.  The routines are written from scratch by the GSL
-# team in C, and present a modern API for C programmers, while allowing
-# wrappers to be written for very high level languages.
-# .
-# This package contains static libraries compiled with profiling info (-pg)
-# suitable for use with gprof.
-# .
-# URL: http://www.gnu.org/software/gsl/
+Package: libgsl-prof
+Section: libdevel
+Priority: optional
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Provides: libgsl0-prof
+Conflicts: libgsl0-prof
+Replaces: libgsl0-prof (<= 1.16+dfsg-4)
+Depends: libgsl23 (= ${binary:Version}), ${misc:Depends}
+Description: GNU Scientific Library (GSL) -- profiling symbols package
+ The GNU Scientific Library (GSL) is a collection of routines for
+ numerical analysis.  The routines are written from scratch by the GSL
+ team in C, and present a modern API for C programmers, while allowing
+ wrappers to be written for very high level languages.
+ .
+ This package contains static libraries compiled with profiling info (-pg)
+ suitable for use with gprof.
+ .
+ URL: http://www.gnu.org/software/gsl/

## gsl 2.6+dfsg

=== debian/changelog ===
gsl (2.6+dfsg-2) unstable; urgency=medium

  * Rebuilding for transition and upload to unstable

  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 04 May 2020 07:46:17 -0500

gsl (2.6+dfsg-1) experimental; urgency=medium

  * New upstream release

  * debian/control: Set Standards-Version: to current version

  * debian/control: New package libgsl25 (replacing libgsl23)

  * debian/*: Renamed files reflecting so23 to so25, update to 2.6
  * debian/libgslcblas0.shlibs: Increase minimum version to 2.6

  * doc/*.{rst,texi,info}: As before, removed files from the doc/
    directory now containing what Debian considers to be 'non-free'
    documentation (ie texinfo pages) to create a source package that
    complies with Debian's interpretation of what is free.
  * doc/Makefile.am: Made all targets apart from man files 'empty'

  * debian/patches/series: Retain previously deployed patches to
     - correct underlinkage of libgslcblas via Makefile.am
     - correct randist example in its manual page 
    but retire patches to
     - not deprecate symbols (changed upstream)
     - rename 'delete' node (now in upstream)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 13 Sep 2019 05:55:49 -0500

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: math
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Build-Depends: gawk | awk, debhelper (>= 10), gcc (>= 4:4.0), binutils (>= 2.12.90.0.9)
 Vcs-Browser: https://salsa.debian.org/edd/gsl
 Vcs-Git: https://salsa.debian.org/edd/gsl.git
 Homepage: https://www.gnu.org/software/gsl
 
-Package: libgsl23
+Package: libgsl25
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -68,7 +68,7 @@
 Section: libdevel
 #Multi-Arch: same -- TODO resolve /usr/bin/gsl-config issue
 Architecture: any
-Depends: libgsl23 (= ${binary:Version}), libgslcblas0 (= ${binary:Version}), ${misc:Depends}
+Depends: libgsl25 (= ${binary:Version}), libgslcblas0 (= ${binary:Version}), ${misc:Depends}
 Conflicts: gsl-dev, libgsl0-dev
 Replaces: gsl-dev, libgsl0 (<= 1.9-4), libgsl0-dev (<= 1.16+dfsg-4)
 Provides: libgsl0-dev
@@ -105,7 +105,7 @@
 Priority: optional
 Architecture: any
 Multi-Arch: same
-Depends: libgsl23 (= ${binary:Version}), ${misc:Depends}
+Depends: libgsl25 (= ${binary:Version}), ${misc:Depends}
 Provides: libgsl0-dbg
 Conflicts: libgsl0-dbg
 Replaces: libgsl0-dbg (<= 1.16+dfsg-4)
@@ -131,7 +131,7 @@
 Provides: libgsl0-prof
 Conflicts: libgsl0-prof
 Replaces: libgsl0-prof (<= 1.16+dfsg-4)
-Depends: libgsl23 (= ${binary:Version}), ${misc:Depends}
+Depends: libgsl25 (= ${binary:Version}), ${misc:Depends}
 Description: GNU Scientific Library (GSL) -- profiling symbols package
  The GNU Scientific Library (GSL) is a collection of routines for
  numerical analysis.  The routines are written from scratch by the GSL

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # Copyright (C) 1999 - 2017  Dirk Eddelbuettel <edd@debian.org>
 
 source  := $(shell head -1 debian/changelog | awk '{print $$1}')
-sonum   := 23
+sonum   := 25
 #libpack := libgsl$(sonum)ldbl
 libpack := libgsl$(sonum)
 libcblas := libgslcblas0
@@ -56,7 +56,7 @@
 	DEBUGFLAGS += -O2
 endif
 
-# edd 18 Nov 2006:  add -fexceptions, but don't use -O3 as 
+# edd 18 Nov 2006:  add -fexceptions, but don't use -O3 as
 #                   'make check' as gcc hangs in cblas/ after test_ger.c
 # edd 05 Jul 2014:  add dpkg-buildflags call
 CFLAGS	   :=-Wall -pipe -fexceptions -D_REENTRANT $(DEBUGFLAGS) $(shell dpkg-buildflags --get CFLAGS)
@@ -71,7 +71,7 @@
 
 
 #setting DEB_BUILD_OPTIONS=buildprof means we build a package
-#consisting of static libraries (renamed to libfoo_p.a) with 
+#consisting of static libraries (renamed to libfoo_p.a) with
 #profiling information in.
 ifneq (,$(findstring buildprof,$(DEB_BUILD_OPTIONS)))
 CONFIGTARGET = configure-prof-stamp
@@ -87,7 +87,7 @@
 endif
 
 upstream: get-orig-source
-get-orig-source: 
+get-orig-source:
         #lynx ftp://sources.redhat.com/pub/gsl
         #lynx http://mirrors.rcn.net/pub/sourceware/gsl
 	lynx http://www.network-theory.co.uk/download/gsl
@@ -104,7 +104,7 @@
 	#[ -d doc ] || mkdir doc
 	#cp -vax debian/Makefile.in.doc doc/Makefile.in
 
-	dh_autoreconf
+	AUTOMAKE=automake ACLOCAL=aclocal dh_autoreconf
 	./configure 	CFLAGS="$(CFLAGS)" 		\
 			LDFLAGS="$(LDFLAGS)"		\
 			--prefix=/usr 			\
@@ -112,14 +112,15 @@
 			--enable-shared 		\
 			--enable-static 		\
 			--with-gnu-ld 			\
-			$(CONFFLAGS) 			
+			--enable-maintainer-mode	\
+			$(CONFFLAGS)
 
         # patch libtool re rpath (see lintian docu)
 	sed < libtool > libtool-2 \
 			-e 's/^hardcode_libdir_flag_spec.*$$/hardcode_libdir_flag_spec=" -D__LIBTOOL_IS_A_FOOL__ "/' \
 			-e '/^archive_cmds="/s/"$$/ \\$$deplibs"/'
 	mv libtool-2 libtool
-	chmod 755 libtool            
+	chmod 755 libtool
         # end libtool rpath patch
 	touch configure-stamp
 
@@ -130,13 +131,13 @@
 
 	#[ -d doc ] || mkdir doc
 	#cp -vax debian/Makefile.in.doc doc/Makefile.in
-	dh_autoreconf
+	AUTOMAKE=automake ACLOCAL=aclocal dh_autoreconf
 	./configure 	CFLAGS="$(CFLAGS)" 		\
 			--prefix=/usr 			\
 			--disable-shared 		\
 			--enable-static 		\
 			--with-gnu-ld 			\
-			$(CONFFLAGS) 			
+			$(CONFFLAGS)
 	touch configure-prof-stamp
 
 
@@ -145,7 +146,7 @@
 build-indep: build-stamp
 build-stamp: configure-stamp
 	dh_testdir
-	$(MAKE)	
+	$(MAKE)
 	touch build-stamp
 
 build-doc: build-doc-stamp
@@ -153,30 +154,30 @@
 	dh_testdir
 	touch build-doc-stamp
 
-deprecated-non-free-doc:
-        # make ps files -- skip as we ship the upstream one in gsl-ref-psdoc
-        #cd doc && $(MAKE) ps
-        # make pdf
-        ## edd 10 Apr 2005  added patch by Guiseppe Bonacci for #303757 
-	cd doc && \
-	   cp -p randist.texi randist.texi.orig && \
-	   sed 's/^.*\\input \(rand.*\)\.tex.*$$/@end tex\n@center @image{\1}\n@tex/' \
-	     randist.texi.orig > randist.texi && \
-	   for i in rand-*.tex random-walk.tex ; do \
-	     echo Converting $$i to eps; \
-	     j=`basename $$i .tex`; \
-	     tex "\batchmode\nopagenumbers\input $$j\bye"; \
-	     dvips $$j; \
-	     ps2eps -f $$j.ps; \
-	   done && \
-	   for i in *.eps; do \
-	     echo Converting $$i to pdf... && epstopdf $$i ; \
-	   done && $(MAKE) ps && ps2pdf gsl-ref.ps
-        # edd 23 Mar 2006  'make pdf' is now inactive upstream
-	touch build-doc-stamp
+# deprecated-non-free-doc:
+#         # make ps files -- skip as we ship the upstream one in gsl-ref-psdoc
+#         #cd doc && $(MAKE) ps
+#         # make pdf
+#         ## edd 10 Apr 2005  added patch by Guiseppe Bonacci for #303757
+# 	cd doc && \
+# 	   cp -p randist.texi randist.texi.orig && \
+# 	   sed 's/^.*\\input \(rand.*\)\.tex.*$$/@end tex\n@center @image{\1}\n@tex/' \
+# 	     randist.texi.orig > randist.texi && \
+# 	   for i in rand-*.tex random-walk.tex ; do \
+# 	     echo Converting $$i to eps; \
+# 	     j=`basename $$i .tex`; \
+# 	     tex "\batchmode\nopagenumbers\input $$j\bye"; \
+# 	     dvips $$j; \
+# 	     ps2eps -f $$j.ps; \
+# 	   done && \
+# 	   for i in *.eps; do \
+# 	     echo Converting $$i to pdf... && epstopdf $$i ; \
+# 	   done && $(MAKE) ps && ps2pdf gsl-ref.ps
+#         # edd 23 Mar 2006  'make pdf' is now inactive upstream
+# 	touch build-doc-stamp
 
 test:	build test-stamp
-test-stamp: 
+test-stamp:
 	-$(MAKE) check CFLAGS="$(CFLAGSnog)" | grep -C5 -v '^PASS:'
 	touch test-stamp
 
@@ -195,7 +196,7 @@
 	rm -rf $(debtmp) $(debprof)
 
 install: test $(INSTALLTARGET)
-install-stamp: 
+install-stamp:
 	$(MAKE) -f debian/rules DH_OPTIONS= install-work
 install-work:
 	dh_testdir
@@ -209,7 +210,7 @@
 		mandir=$(debtmp)/usr/share/man		install
         # deal with automake / install-info issue #215538
 	rm -vf	$(debtmp)/usr/share/info/dir 		\
-		$(debtmp)/usr/share/info/dir.old 	
+		$(debtmp)/usr/share/info/dir.old
         # purify for DFSG compliance and delete (!!) documentation
 	rm -rvf	$(debtmp)/usr/share/info
         # deal with libtool leftover .la files (#245556)
@@ -221,8 +222,8 @@
         # move static libs into dev-package  and binaries into bin package
 	dh_install --sourcedir=debian/tmp -p$(libpack)
 	dh_install --sourcedir=debian/tmp -p$(libcblas)
-	dh_install --sourcedir=debian/tmp -p$(devpack) 
-	dh_install --sourcedir=debian/tmp -p$(binpack) 
+	dh_install --sourcedir=debian/tmp -p$(devpack)
+	dh_install --sourcedir=debian/tmp -p$(binpack)
 
         # lintian silencer for the 'ldbl' transition package
 	dh_installdirs -p$(libpack) usr/share/lintian/overrides
@@ -258,5 +259,3 @@
 	install -m 0644 doc/gsl-ref.pdf  $(debdoc)/usr/share/doc/$(docpack)
 
 # This single target is used to build all the packages, all at once, or
-# one at a time. So keep in mind: any options passed to commands here will
-# affect _all_ packages. Anything you want to only affect one package

## gsl 2.7+dfsg

=== debian/changelog ===
gsl (2.7+dfsg-2) unstable; urgency=medium

  * Simple rebuild for unstable following Debian 11 release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 15 Aug 2021 06:44:34 -0500

gsl (2.7+dfsg-1) experimental; urgency=medium

  * New upstream release

  * debian/control: Set Standards-Version: to current version

  * doc/*.{rst,texi,info}: As before, removed files from the doc/
    directory now containing what Debian considers to be 'non-free'
    documentation (ie texinfo pages) to create a source package that
    complies with Debian's interpretation of what is free.
  * doc/Makefile.am: Made all targets apart from man files 'empty'

  * debian/patches/series: Retain previously deployed patches to
     - correct underlinkage of libgslcblas via Makefile.am
     - correct randist example in its manual page 
    but retire patches to
     - not deprecate symbols (changed upstream)
     - rename 'delete' node (now in upstream)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 06 Jun 2021 07:21:28 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: math
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Standards-Version: 4.5.0
-Build-Depends: gawk | awk, debhelper (>= 10), gcc (>= 4:4.0), binutils (>= 2.12.90.0.9)
+Standards-Version: 4.5.1
+Build-Depends: gawk | awk, debhelper-compat (= 12), gcc (>= 4:4.0), binutils (>= 2.12.90.0.9)
 Vcs-Browser: https://salsa.debian.org/edd/gsl
 Vcs-Git: https://salsa.debian.org/edd/gsl.git
 Homepage: https://www.gnu.org/software/gsl
@@ -122,23 +122,3 @@
  URL: http://www.gnu.org/software/gsl/
 
 
-Package: libgsl-prof
-Section: libdevel
-Priority: optional
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Provides: libgsl0-prof
-Conflicts: libgsl0-prof
-Replaces: libgsl0-prof (<= 1.16+dfsg-4)
-Depends: libgsl25 (= ${binary:Version}), ${misc:Depends}
-Description: GNU Scientific Library (GSL) -- profiling symbols package
- The GNU Scientific Library (GSL) is a collection of routines for
- numerical analysis.  The routines are written from scratch by the GSL
- team in C, and present a modern API for C programmers, while allowing
- wrappers to be written for very high level languages.
- .
- This package contains static libraries compiled with profiling info (-pg)
- suitable for use with gprof.
- .
- URL: http://www.gnu.org/software/gsl/

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 #                                                       -*- makefile -*-
 # debian/rules file for the Debian/GNU Linux gsl package
-# Copyright (C) 1999 - 2017  Dirk Eddelbuettel <edd@debian.org>
+# Copyright (C) 1999 - 2021  Dirk Eddelbuettel <edd@debian.org>
 
 source  := $(shell head -1 debian/changelog | awk '{print $$1}')
 sonum   := 25
@@ -227,8 +227,8 @@
 
         # lintian silencer for the 'ldbl' transition package
 	dh_installdirs -p$(libpack) usr/share/lintian/overrides
-	install -m0644 debian/$(libpack).overrides \
-		$(CURDIR)/debian/$(libpack)/usr/share/lintian/overrides/$(libpack)
+	#install -m0644 debian/$(libpack).overrides \
+	#	$(CURDIR)/debian/$(libpack)/usr/share/lintian/overrides/$(libpack)
 
 	touch install-stamp

## gsl 2.7.1%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: gsl
 Section: math
 Priority: optional
-Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Standards-Version: 4.5.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dirk Eddelbuettel <edd@debian.org>
+Standards-Version: 4.6.2
 Build-Depends: gawk | awk, debhelper-compat (= 12), gcc (>= 4:4.0), binutils (>= 2.12.90.0.9)
 Vcs-Browser: https://salsa.debian.org/edd/gsl
 Vcs-Git: https://salsa.debian.org/edd/gsl.git
 Homepage: https://www.gnu.org/software/gsl
 
-Package: libgsl25
+Package: libgsl27
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, libgslcblas0 (= ${binary:Version})
 Conflicts: gsl, libgsl0, libgsl0ldbl
+Breaks: libgsl25
 Replaces: gsl, libgsl0 (<= 1.9-4), libgsl0ldbl (<= 1.16+dfsg-4)
 Suggests: gsl-ref-psdoc | gsl-doc-pdf | gsl-doc-info | gsl-ref-html
 Description: GNU Scientific Library (GSL) -- library package 
@@ -68,7 +70,7 @@
 Section: libdevel
 #Multi-Arch: same -- TODO resolve /usr/bin/gsl-config issue
 Architecture: any
-Depends: libgsl25 (= ${binary:Version}), libgslcblas0 (= ${binary:Version}), ${misc:Depends}
+Depends: libgsl27 (= ${binary:Version}), libgslcblas0 (= ${binary:Version}), ${misc:Depends}
 Conflicts: gsl-dev, libgsl0-dev
 Replaces: gsl-dev, libgsl0 (<= 1.9-4), libgsl0-dev (<= 1.16+dfsg-4)
 Provides: libgsl0-dev
@@ -105,7 +107,7 @@
 Priority: optional
 Architecture: any
 Multi-Arch: same
-Depends: libgsl25 (= ${binary:Version}), ${misc:Depends}
+Depends: libgsl27 (= ${binary:Version}), ${misc:Depends}
 Provides: libgsl0-dbg
 Conflicts: libgsl0-dbg
 Replaces: libgsl0-dbg (<= 1.16+dfsg-4)
@@ -121,4 +123,25 @@
  .
  URL: http://www.gnu.org/software/gsl/
 
+Package: libgsl-prof
+Section: libdevel
+Priority: optional
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Provides: libgsl0-prof
+Conflicts: libgsl0-prof
+Replaces: libgsl0-prof (<= 1.16+dfsg-4)
+Depends: libgsl27 (= ${binary:Version}), ${misc:Depends}
+Build-Profiles: <pkg.gsl.prof>
+Description: GNU Scientific Library (GSL) -- profiling symbols package
+ The GNU Scientific Library (GSL) is a collection of routines for
+ numerical analysis.  The routines are written from scratch by the GSL
+ team in C, and present a modern API for C programmers, while allowing
+ wrappers to be written for very high level languages.
+ .
+ This package contains static libraries compiled with profiling info (-pg)
+ suitable for use with gprof.
+ .
+ URL: http://www.gnu.org/software/gsl/
